import { Connection, ClientThreadCommandsShape, ICommandRegistry } from '@adminide-stack/extension-api';
export declare class ClientCommands implements ClientThreadCommandsShape {
    private registry;
    private subscriptions;
    private registrations;
    private proxy;
    private readonly _disposables;
    private readonly _generateCommandsDocumentationRegistration;
    constructor(connection: Connection, registry: ICommandRegistry);
    dispose(): void;
    private _generateCommandsDocumentation;
    $unregister(id: number): void;
    $registerCommand(id: number, command: string): void;
    $executeCommand(command: string, args: any[]): Promise<any>;
    unsubscribe(): void;
    $getCommands(): Promise<string[]>;
}
